Bug 1018561 - [RHEVM-CLI]: support automatic auth session invalidation
[RHEVM-CLI]: support automatic auth session invalidation
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-cli (Show other bugs)
3.4.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.4.0
Assigned To: Juan Hernández
movciari
infra
:
Depends On: 1018559
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-13 06:36 EDT by Michael Pasternak
Modified: 2016-02-10 14:42 EST (History)
10 users (show)

See Also:
Fixed In Version: ovirt-3.4.0-alpha1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 21945 None None None Never

  None (edit)
Description Michael Pasternak 2013-10-13 06:36:19 EDT
Description of problem:


latest REST-API supports automatic auth session invalidation (upon expiry), cli should expose this capability as well.
Comment 1 Michael Pasternak 2013-12-03 04:54:55 EST
implemented as:

-r/--renew-session option
or
'renew_session' at config file

* default is False
Comment 5 Itamar Heim 2014-06-12 10:08:22 EDT
Closing as part of 3.4.0

Note You need to log in before you can comment on or make changes to this bug.